question

AhmedMohammedElDesouky-9901 avatar image
0 Votes"
AhmedMohammedElDesouky-9901 asked ClarkeIsackson-0668 commented

KB2736182 does not apply, or is blocked by another condition on your computer.

hi, please
i am trying to setup VS10SP1-KB2736182.exe or VS10sp1-KB983509.exe
but they both fail

i faced an error that says: "Signature verification for file VS10sp1_x86.msi"

so tried to set my PC time to 2011 Feb1, But another error comes:
"Exe (C:\Users\AEMAM~1.ARC\AppData\Local\Temp\Microsoft Visual Studio 2010 Service Pack 1_10.0.40219\SetupUtility.exe) succeeded.
Exe Log File: dd_SetupUtility.txt
Final Result: Installation failed with error code: (0x800C0019), "Security certificate required to access this resource is invalid. " (Elapsed time: 0 00:04:03).
"

can you please help, iam trying to install SP1 because i get an error everytime i open my project that says:
"The Web project 'ProjectName' requires missing web components to run with Visual Studio." ASP.NET Web pages with Razor syntax 2.0.0.0"

i've been searching for days..
https://stackoverflow.com/questions/19769062/web-project-requires-missing-web-component-asp-net-web-pages-with-razor-syntax-3

best regards





vs-generalvs-setup
· 2
5 |1600 characters needed characters left characters exceeded

Up to 10 attachments (including images) can be used with a maximum of 3.0 MiB each and 30.0 MiB total.

Hi @AhmedMohammedElDesouky-9901 , welcome to Microsoft Q&A forum. I agree with @cooldadtx . VS 2010 is end of support and some packages/dependencies may be not compatible, please try to install and use newer version of VS for example VS 2019.

0 Votes 0 ·

The lack of VS2010 support is bad enough, but the inability to install KB2736182 for missing 2010 ver 1 updates really put me over the edge with some intended simple VC# work. Only saving grace is to start up my 10 year old pc and load the batches onto it.

0 Votes 0 ·
cooldadtx avatar image
0 Votes"
cooldadtx answered

VS 2010 is no longer supported. It supposedly will run on Win10 but only after installing SP 1. However at some point it'll likely simply stop working because of broken dependencies. Since it is not supported anymore there won't be any updates to make it work.

Note, changing the data of your machine will not work.

What you should really do is install Visual Studio 2019. Ensure you have selected the workload for ASP.NET MVC 4 support. Then open your project in that version. If you are using Webforms it'll just work. MVC < 4 will need to be updated. You need to do that anyway for security reasons.

5 |1600 characters needed characters left characters exceeded

Up to 10 attachments (including images) can be used with a maximum of 3.0 MiB each and 30.0 MiB total.

AhmedMohammedElDesouky-9901 avatar image
0 Votes"
AhmedMohammedElDesouky-9901 answered AhmedMohammedElDesouky-9901 commented

@cooldadtx thanks for your reply, actually our company just got a client with a legacy project that works only on vs21010 as it has specific versions of ext.net framework & also crystal reports.

the idea of upgrade isn't on the table at least this year, and if so, we still need to be able to run the project & see it running.

my windows is 8.1 and it looks like the main problem that if solved; mostly everything else will be solved is installing vs2010 sp1, or to be precise any kb related to vs2010 fails "does not apply, or is blocked by another condition on your computer. Please see http://go.microsoft.com/fwlink/?LinkId="

note: i have VS2013 & 2015 & 2019 installed on my machine, but the project will load only on 2010.
thanks again @TianyuSun-MSFT @cooldadtx

· 22
5 |1600 characters needed characters left characters exceeded

Up to 10 attachments (including images) can be used with a maximum of 3.0 MiB each and 30.0 MiB total.

In my experience there is no such thing as a project that can only load in a specific VS version. Provided the project type is supported then it'll load.

Unfortunately, with VS 2010 out of support and it not running on Win 10 then your only workaround is to create a virtual machine running an older OS version.

0 Votes 0 ·

hi @cooldadtx but i already have windows 8.1
when i open the project on vs2015 for example, i get this

Unsupported
This version of Visual Studio is unable to open the following projects. The project types may not be installed or this version of Visual Studio may not support them.
For more information on enabling these project types or otherwise migrating your assets, please see the details in the "Migration Report" displayed after clicking OK.
- HidaIRP, "D:******Dev\HidaIRP\HidaIRP.csproj"


No changes required
These projects can be opened in Visual Studio 2015, Visual Studio 2013, Visual Studio 2012, and Visual Studio 2010 SP1 without changing them.
- HidaIRP.Core, "D:\SaudiCloud\NCPD_Factory\Dev\HidaIRP.Core\HidaIRP.Core.csproj"
- HidaIRP.Utility, "D:\SaudiCloud\NCPD_Factory\Dev\HidaIRP.Utility\HidaIRP.Utility.csproj"
- Solution Items, "Solution Items"
- HidaIRP, "D:**\Dev\HidaIRP.sln"


0 Votes 0 ·
cooldadtx avatar image cooldadtx AhmedMohammedElDesouky-9901 ·

Yes that is the "project type is supported" problem I mentioned. Custom project types require a VS extension. The VS extension must be compatible with the VS version you're running.

The csproj files are C# files and should be supported without issue in all newer VS versions. However you have to install the workloads (in newer VS versions) to support C# before it'll work. If you can create a C# project in your version of VS then it is working fine. If you don't have an option to create a C# project then you need run the installer and add it as discussed here.

For other project types you have to install the extension, if one is available. I don't see a non-custom project type here though.


0 Votes 0 ·
Show more comments
cooldadtx avatar image cooldadtx AhmedMohammedElDesouky-9901 ·

Back to your original problem of a signature verification. I assume the MSI has an old signature that cannot be verified. You could try an admin install which removes the verification check but I suspect it'll fail to do that as well. You're in unsupported waters at any rate.

0 Votes 0 ·
Show more comments

same for vs 2019

Unsupported
This version of Visual Studio is unable to open the following projects. The project types may not be installed or this version of Visual Studio may not support them.
For more information on enabling these project types or otherwise migrating your assets, please see the details in the "Migration Report" displayed after clicking OK.
- HidaIRP, "D:\SaudiCloud\NCPD_Factory\Dev\HidaIRP\HidaIRP.csproj"


No changes required
These projects can be opened in Visual Studio 2015, Visual Studio 2013, Visual Studio 2012, and Visual Studio 2010 SP1 without changing them.
- Solution Items, "Solution Items"
- HidaIRP, "D:\SaudiCloud\NCPD_Factory\Dev\HidaIRP.sln"
- , ""
- , ""


0 Votes 0 ·